Subject: Problems with tcl "exec" command and "sh" in Cygwin.
From: Gancho Tenev <[email-masked]>
To: [email-masked]
Date: Fri, 30 Jan 2004 19:51:09 -0800

Hello!

I am porting some scripts to cygwin.
In unix the scripts are is working fine.
but in cygwin I have a problem using the
tcl "exec" command.

I searched the FAQ, Docs and the mailing
list but I didn't find the answer.

I have the following scripts:

script: 1.tcl
------------------------------
#!/bin/sh
# \
exec tclsh "$0" ${1+"$@"}

puts "result= [ exec 2.tcl ]"
exit
------------------------------

script: 2.tcl
------------------------------
#!/bin/sh -e
# \
exec tclsh "$0" ${1+"$@"}

puts "Hello, World!"
exit
------------------------------

* when I run on Unix:
$./1.tcl
result = Hello, World!

* when I run it in Cygwin.
$./1
couldn't execute "2.tcl": no such file or directory
    while executing
"exec 2.tcl "
    invoked from within
"puts "result= [ exec 2.tcl ]""
    (file "./1.tcl" line 5)

* To solve this instead of
    puts "result= [ exec 2.tcl ]"
I used:
    puts "result= [ exec sh 2.tcl ]"
and this was working fine.

* But 2 days ago we decided to reinstall Cygwin (latest)
and now it is hanging on "exec sh" infinitely.
It seems something has changed! We didn't do anything
special before and now while installing cygwin.

Any ideas and suggestions are greatly appreciated!
I tried to give concise description so please let me
know if I need to provide more info!

Best regards!
    Gancho.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/